The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> nan, nanf, nanl - return quiet NaN

#### SYNOPSIS

> ``#include <math.h>
> double nan(const char *`tagp`);
> float nanf(const char *`tagp`);
> long double nanl(const char *`tagp`);
> ``

#### DESCRIPTION

> [CX] The functionality described on this reference page is aligned with the ISO C standard. Any conflict between the requirements described here and the ISO C standard is unintentional. This volume of IEEE Std 1003.1-2001 defers to the ISO C standard.

> The function call nan("n-char-sequence") shall be equivalent to:

>     strtod("NAN(n-char-sequence)", (char **) NULL);

> The function call nan("") shall be equivalent to:

>     strtod("NAN()", (char **) NULL)

> If tagp does not point to an n- char sequence or an empty string, the function call shall be equivalent to:

>     strtod("NAN", (char **) NULL)

> Function calls to nanf() and nanl() are equivalent to the corresponding function calls to strtof() and strtold().

#### RETURN VALUE

> These functions shall return a quiet NaN, if available, with content indicated through tagp.

> If the implementation does not support quiet NaNs, these functions shall return zero.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> strtod(), strtold(), the Base Definitions volume of IEEE Std 1003.1-2001, <math.h>

#### CHANGE HISTORY

> First released in Issue 6. Derived from the ISO/IEC 9899:1999 standard.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]